### Function

# Gegl SamplerGetFun

since: 0.4

#### Declaration

    void
    (* GeglSamplerGetFun) (
      GeglSampler* self,
      gdouble x,
      gdouble y,
      GeglBufferMatrix2* scale,
      void* output,
      GeglAbyssPolicy repeat_mode
    )

#### Description

No description available.

Available since: 0.4

#### Parameters

`self`

  Type: `GeglSampler`

  No description available.

  The data is owned by the caller of the function.

`x`

  Type: `gdouble`

  No description available.

`y`

  Type: `gdouble`

  No description available.

`scale`

  Type: `GeglBufferMatrix2`

  No description available.

  The data is owned by the caller of the function.

`output`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`repeat_mode`

  Type: `GeglAbyssPolicy`

  No description available.